| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
uiBorder Class Reference
uiBase

`#include <uigeom.h>`

## Public Member Functions
| uiBorder (int border=0)
| uiBorder (int left, int top, int right, int bottom)
| ~uiBorder ()
int | bottom () const
uiPoint | drawPt (const uiPoint &relpt) const
int | get (uiRect::Side) const
uiRect | getRect (const uiRect &, int extrapix=0) const
uiRect | getRect (const uiSize &, int extrapix=0) const
int | left () const
bool | operator!= (const uiBorder &b) const
uiBorder & | operator+= (const uiBorder &b)
bool | operator== (const uiBorder &b) const
uiPoint | relPt (const uiPoint &drawpt) const
int | right () const
void | set (uiRect::Side, int)
void | setBottom (int i)
void | setLeft (int i)
void | setRight (int i)
void | setTop (int i)
int | top () const

## Public Attributes
uiSize | lt_
uiSize | rb_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiBorder() [1/2]

uiBorder::uiBorder | ( | int | border = 0 | ) |

## ◆ uiBorder() [2/2]

uiBorder::uiBorder | ( | int | left,
|  | int | top,
|  | int | right,
|  | int | bottom )

## ◆ ~uiBorder()

uiBorder::~uiBorder | ( |  | ) |

## Member Function Documentation

## ◆ bottom()

int uiBorder::bottom | ( |  | ) | const
| inline

## ◆ drawPt()

uiPoint uiBorder::drawPt | ( | const uiPoint & | relpt | ) | const
| inline

## ◆ get()

int uiBorder::get | ( | uiRect::Side | s | ) | const
| inline

## ◆ getRect() [1/2]

uiRect uiBorder::getRect | ( | const uiRect & | rect,
|  | int | extrapix = 0 ) const
| inline

## ◆ getRect() [2/2]

uiRect uiBorder::getRect | ( | const uiSize & | sz,
|  | int | extrapix = 0 ) const
| inline

## ◆ left()

int uiBorder::left | ( |  | ) | const
| inline

## ◆ operator!=()

bool uiBorder::operator!= | ( | const uiBorder & | b | ) | const
| inline

## ◆ operator+=()

uiBorder & uiBorder::operator+= | ( | const uiBorder & | b | ) |
| inline

## ◆ operator==()

bool uiBorder::operator== | ( | const uiBorder & | b | ) | const
| inline

## ◆ relPt()

uiPoint uiBorder::relPt | ( | const uiPoint & | drawpt | ) | const
| inline

## ◆ right()

int uiBorder::right | ( |  | ) | const
| inline

## ◆ set()

void uiBorder::set | ( | uiRect::Side | s,
|  | int | i )
| inline

## ◆ setBottom()

void uiBorder::setBottom | ( | int | i | ) |
| inline

## ◆ setLeft()

void uiBorder::setLeft | ( | int | i | ) |
| inline

## ◆ setRight()

void uiBorder::setRight | ( | int | i | ) |
| inline

## ◆ setTop()

void uiBorder::setTop | ( | int | i | ) |
| inline

## ◆ top()

int uiBorder::top | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ lt_

uiSize uiBorder::lt_

## ◆ rb_

uiSize uiBorder::rb_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025